namespace gfax
{
	public class Settings
	{
		static GConf.Client client = new GConf.Client ();

		public static event GConf.NotifyEventHandler Changed
		{
			add {
				client.AddNotify ("/apps/gfax/general", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general", value);
			}
		}

		public static bool RefreshQueueEnabled
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/refresh_queue_enabled");
			}
			set {
				client.Set ("/apps/gfax/general/refresh_queue_enabled", value);
			}
		}

		public static event GConf.NotifyEventHandler RefreshQueueEnabledChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/refresh_queue_enabled", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/refresh_queue_enabled", value);
			}
		}

		public static string Username
		{
			get {
				return (string) client.Get ("/apps/gfax/transport/hylafax/username");
			}
			set {
				client.Set ("/apps/gfax/transport/hylafax/username", value);
			}
		}

		public static event GConf.NotifyEventHandler UsernameChanged
		{
			add {
				client.AddNotify ("/apps/gfax/transport/hylafax/username", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/transport/hylafax/username", value);
			}
		}

		public static bool SendNow
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/send_now");
			}
			set {
				client.Set ("/apps/gfax/general/send_now", value);
			}
		}

		public static event GConf.NotifyEventHandler SendNowChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/send_now", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/send_now", value);
			}
		}

		public static string TransmitAgent
		{
			get {
				return (string) client.Get ("/apps/gfax/general/transmit_agent");
			}
			set {
				client.Set ("/apps/gfax/general/transmit_agent", value);
			}
		}

		public static event GConf.NotifyEventHandler TransmitAgentChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/transmit_agent", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/transmit_agent", value);
			}
		}

		public static bool RunSetupAtStart
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/run_setup_at_start");
			}
			set {
				client.Set ("/apps/gfax/general/run_setup_at_start", value);
			}
		}

		public static event GConf.NotifyEventHandler RunSetupAtStartChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/run_setup_at_start", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/run_setup_at_start", value);
			}
		}

		public static bool EmailNotify
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/email_notify");
			}
			set {
				client.Set ("/apps/gfax/general/email_notify", value);
			}
		}

		public static event GConf.NotifyEventHandler EmailNotifyChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/email_notify", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/email_notify", value);
			}
		}

		public static string Password
		{
			get {
				return (string) client.Get ("/apps/gfax/transport/hylafax/password");
			}
			set {
				client.Set ("/apps/gfax/transport/hylafax/password", value);
			}
		}

		public static event GConf.NotifyEventHandler PasswordChanged
		{
			add {
				client.AddNotify ("/apps/gfax/transport/hylafax/password", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/transport/hylafax/password", value);
			}
		}

		public static string FaxNumber
		{
			get {
				return (string) client.Get ("/apps/gfax/general/fax_number");
			}
			set {
				client.Set ("/apps/gfax/general/fax_number", value);
			}
		}

		public static event GConf.NotifyEventHandler FaxNumberChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/fax_number", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/fax_number", value);
			}
		}

		public static bool HiResolution
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/hi_resolution");
			}
			set {
				client.Set ("/apps/gfax/general/hi_resolution", value);
			}
		}

		public static event GConf.NotifyEventHandler HiResolutionChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/hi_resolution", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/hi_resolution", value);
			}
		}

		public static string PhonePrefix
		{
			get {
				return (string) client.Get ("/apps/gfax/general/phone_prefix");
			}
			set {
				client.Set ("/apps/gfax/general/phone_prefix", value);
			}
		}

		public static event GConf.NotifyEventHandler PhonePrefixChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/phone_prefix", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/phone_prefix", value);
			}
		}

		public static bool LogEnabled
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/log_enabled");
			}
			set {
				client.Set ("/apps/gfax/general/log_enabled", value);
			}
		}

		public static event GConf.NotifyEventHandler LogEnabledChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/log_enabled", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/log_enabled", value);
			}
		}

		public static string EmailAddress
		{
			get {
				return (string) client.Get ("/apps/gfax/general/email_address");
			}
			set {
				client.Set ("/apps/gfax/general/email_address", value);
			}
		}

		public static event GConf.NotifyEventHandler EmailAddressChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/email_address", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/email_address", value);
			}
		}

		public static string Hostname
		{
			get {
				return (string) client.Get ("/apps/gfax/transport/hylafax/hostname");
			}
			set {
				client.Set ("/apps/gfax/transport/hylafax/hostname", value);
			}
		}

		public static event GConf.NotifyEventHandler HostnameChanged
		{
			add {
				client.AddNotify ("/apps/gfax/transport/hylafax/hostname", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/transport/hylafax/hostname", value);
			}
		}

		public static int RefreshQueueInterval
		{
			get {
				return (int) client.Get ("/apps/gfax/general/refresh_queue_interval");
			}
			set {
				client.Set ("/apps/gfax/general/refresh_queue_interval", value);
			}
		}

		public static event GConf.NotifyEventHandler RefreshQueueIntervalChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/refresh_queue_interval", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/refresh_queue_interval", value);
			}
		}

		public static string ModemPort
		{
			get {
				return (string) client.Get ("/apps/gfax/general/modem_port");
			}
			set {
				client.Set ("/apps/gfax/general/modem_port", value);
			}
		}

		public static event GConf.NotifyEventHandler ModemPortChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/modem_port", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/modem_port", value);
			}
		}

		public static bool CoverPage
		{
			get {
				return (bool) client.Get ("/apps/gfax/general/cover_page");
			}
			set {
				client.Set ("/apps/gfax/general/cover_page", value);
			}
		}

		public static event GConf.NotifyEventHandler CoverPageChanged
		{
			add {
				client.AddNotify ("/apps/gfax/general/cover_page", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/general/cover_page", value);
			}
		}

		public static string Port
		{
			get {
				return (string) client.Get ("/apps/gfax/transport/hylafax/port");
			}
			set {
				client.Set ("/apps/gfax/transport/hylafax/port", value);
			}
		}

		public static event GConf.NotifyEventHandler PortChanged
		{
			add {
				client.AddNotify ("/apps/gfax/transport/hylafax/port", value);
			}
			remove{
				client.RemoveNotify ("/apps/gfax/transport/hylafax/port", value);
			}
		}
	}

	public class SettingKeys
	{
		public static string RefreshQueueEnabled
		{
			get {
				 return "/apps/gfax/general/refresh_queue_enabled";
			}
		}
		public static string Username
		{
			get {
				 return "/apps/gfax/transport/hylafax/username";
			}
		}
		public static string SendNow
		{
			get {
				 return "/apps/gfax/general/send_now";
			}
		}
		public static string TransmitAgent
		{
			get {
				 return "/apps/gfax/general/transmit_agent";
			}
		}
		public static string RunSetupAtStart
		{
			get {
				 return "/apps/gfax/general/run_setup_at_start";
			}
		}
		public static string EmailNotify
		{
			get {
				 return "/apps/gfax/general/email_notify";
			}
		}
		public static string Password
		{
			get {
				 return "/apps/gfax/transport/hylafax/password";
			}
		}
		public static string FaxNumber
		{
			get {
				 return "/apps/gfax/general/fax_number";
			}
		}
		public static string HiResolution
		{
			get {
				 return "/apps/gfax/general/hi_resolution";
			}
		}
		public static string PhonePrefix
		{
			get {
				 return "/apps/gfax/general/phone_prefix";
			}
		}
		public static string LogEnabled
		{
			get {
				 return "/apps/gfax/general/log_enabled";
			}
		}
		public static string EmailAddress
		{
			get {
				 return "/apps/gfax/general/email_address";
			}
		}
		public static string Hostname
		{
			get {
				 return "/apps/gfax/transport/hylafax/hostname";
			}
		}
		public static string RefreshQueueInterval
		{
			get {
				 return "/apps/gfax/general/refresh_queue_interval";
			}
		}
		public static string ModemPort
		{
			get {
				 return "/apps/gfax/general/modem_port";
			}
		}
		public static string CoverPage
		{
			get {
				 return "/apps/gfax/general/cover_page";
			}
		}
		public static string Port
		{
			get {
				 return "/apps/gfax/transport/hylafax/port";
			}
		}
	}
}
